corda / net.corda.core.flows / StateMachineRunId

# StateMachineRunId

`data class StateMachineRunId`

A unique identifier for a single state machine run, valid across node restarts. Note that a single run always has at least one flow, but that flow may also invoke sub-flows: they all share the same run id.

### Properties

uuid | `val uuid: UUID`

### Functions

toString | `fun toString(): String`

### Companion Object Functions

createRandom | `fun createRandom(): StateMachineRunId`
wrap | `fun wrap(uuid: UUID): StateMachineRunId`